package emps.v2_obiektowo;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class Grupowanie1 {

	public static void main(String[] args) {
		List<Employee> emps = ObslugaCSV.wczytaj("emps.csv");
		Map<String, Integer> sumy = new HashMap<>();
		Map<String, Integer> ilosci = new HashMap<>();

		for(Employee emp : emps) {
			if(sumy.containsKey(emp.getJobTitle())) {
				int suma = sumy.get(emp.getJobTitle());
				sumy.put(emp.getJobTitle(), suma + emp.getSalary());
				int ile = ilosci.get(emp.getJobTitle());
				ilosci.put(emp.getJobTitle(), ile + 1);
			} else {
				sumy.put(emp.getJobTitle(), emp.getSalary());
				ilosci.put(emp.getJobTitle(), 1);
			}
		}
		
		for(String job: sumy.keySet()) {
			int suma = sumy.get(job);
			int ile = ilosci.get(job);
			double srednia = suma / ile;
			System.out.printf("%-32s | %2d | %8.2f%n", job, ile, srednia);
		}
	}

}
